#
# Conditional build:
%bcond_with	options_is_ping # make sipp treat OPTIONS same as PING
				# changes sipp behaviour, but that is
				# what everybody use for 'pinging'

Summary:	SIPp - a performance testing tool for the SIP protocol
Summary(pl.UTF-8):	SIPp - narzędzie do testowania wydajności protokołu SIP
Name:		sipp
Version:	3.6.0
Release:	1
License:	GPL v2+ except two files under BSD
Group:		Applications/Communications
#Source0Download: https://github.com/SIPp/sipp/releases/
Source0:	https://github.com/SIPp/sipp/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	1fd27333d179d786d3f6a67ee451fae9
Patch0:		%{name}-OPTIONS_is_ping.patch
URL:		http://sipp.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gsl-devel
BuildRequires:	help2man
BuildRequires:	libpcap-devel
BuildRequires:	libsctp-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SIPp is a performance testing tool for the SIP protocol. It includes a
few basic SipStone user agent scenarios (UAC and UAS) and establishes
and releases multiple calls with the INVITE and BYE methods. It can
also reads XML scenario files describing any performance testing
configuration. It features the dynamic display of statistics about
running tests (call rate, round trip delay, and message statistics),
periodic CSV statistics dumps, TCP and UDP over multiple sockets or
multiplexed with retransmission management, regular expressions and
variables in scenario files, and dynamically adjustable call rates.

SIPp can be used to test many real SIP equipements like SIP proxies,
B2BUAs, SIP media servers, SIP/x gateways, SIP PBX, ... It is also
very useful to emulate thousands of user agents calling your SIP
system.

%description -l pl.UTF-8
SIPp to narzędzie do testowania wydajności protokołu SIP. Zawiera
kilka podstawowych scenrariuszy klienta SipStone (UAC i UAS);
nawiązuje i zwalnia wiele połączeń przy użyciu metod INVITE i BYE.
Potrafi czytać także pliki scenariuszy w formacie XML, opisujące
dowolną konfigurację testowania wydajności. Ma dynamiczne wyświetlanie
statystyk działających testów (częstość połączeń, opóźnienie pakietów,
statystyki komunikatów), okresowe zrzuty statystyk w formacie CSV,
połączenia TCP i UDP na wielu gniazdach lub miltipleksowane z
zarządzaniem retransmisją, wyrażenia regularne i zmienne w plikach
scenariuszy oraz dynamicznie modyfikowaną częstość połączeń.

SIPp może być używany do testowania wielu rzeczywistych urządzeń SIP,
takich jak proxy SIP, B2BUA, serwery mediów SIP, bramki SIP/x, PBX-y
SIP... Jest także przydatny do emulowania tysięcy klientów dzwoniących
do systemu SIP.

%prep
%setup -q
%{?with_options_is_ping:%patch0 -p1}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-epoll \
	--with-openssl \
	--with-pcap \
	--with-sctp \
	--with-gsl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.md LICENSE.txt README.md THANKS
%attr(755,root,root) %{_bindir}/sipp
%{_mandir}/man1/sipp.1*
%changelog
* Sun Nov 03 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sipp.git;a=log;h=master

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> f2eeef5
- up to 3.6.0

* Wed Sep 19 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 85a1368
- rel 4; fix openssl build

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f45614a
- release 3 (by relup.sh)

* Wed Jul 05 2017 Jakub Bogusz <qboosh@pld-linux.org> cd6d1c4
- pl, more BRs

* Sat Jul 01 2017 Jan Rękorajski <baggins@pld-linux.org> 0109d39
- rebuild with gsl 2.4
- release 2 (by relup.sh)

* Wed Feb 15 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 31a170f
- md5

* Wed Feb 15 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> a334bcd
- up to 3.5.1

* Sun Dec 01 2013 Jan Rękorajski <baggins@pld-linux.org> cd15e66
- distfiles friendly source0 url

* Fri Jun 14 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 3807eea
- hack to make sipp auto-answer OPTIONS messages

* Fri Jun 14 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> e6825a1
- Fixed crash in CSV statistics writer

* Fri May 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> aaa207f
- Version: 3.3

* Mon Jan 16 2012 lisu <lisu@pld-linux.org> 8e3778e
- no more separated libtinfo(w)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9807cf9
- release 5

* Mon Apr 04 2011 Jacek Konieczny <jajcus@pld-linux.org> 5177b8e
- link with libtinfo (needed for the new ncurses)

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> a69fb75
- release 4

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bf8401e
- release 3

* Sat Apr 03 2010 Elan Ruusamäe <glen@pld-linux.org> a7b961d
- release 2

* Thu Aug 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 13e500a
- fix build

* Thu Aug 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c19b985
- fix build for this one, too

* Tue Mar 04 2008 Jacek Konieczny <jajcus@pld-linux.org> babbdfd
- new spec

